#include "mbed.h"

// Das DigitalOut-Objekt d17 mit dem Pin P1_6 am uC verbinden
// damit ist P1_6 als Ausgang geschaltet
DigitalOut d17(P1_6);
DigitalOut d18(P1_7);
DigitalOut d19(P1_12);
DigitalOut d20(P1_13);

void main()
{
    // alle Ports definiert auf 0 setzen
    d17.write(0); d18.write(0);
    // d17.write(0); d17=0; bewirkt dasselbe
    d19=0; d20=0;
    // super simples Lauflicht#
    while(1)
    {
        d17=1;
        wait_ms(200);
        d17=0; d18=1;
        wait_ms(200);
        d18=0; d19=0;
    }
}